Bug 137865 - [patch] sysutils/heartbeat: correct dealing with cases, where are two or more (virtual) interfaces with an IP-address, but only one is up
[patch] sysutils/heartbeat: correct dealing with cases, where are two or more...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Boris Samorodov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-17 07:40 UTC by michael.leun
Modified: 2009-08-21 10:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.66 KB, patch)
2009-08-17 07:40 UTC, michael.leun
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description michael.leun 2009-08-17 07:40:05 UTC
Current implementation of function find_interface_bsd() in heartbeat-STABLE-1.2.4 used in port sysutils/heartbeat does not work correctly if there are multiple interfaces with the same IP address (where only one of is UP, the others are DOWN).

The attached patch replaces this function with one taking care of that.

It is implemented in perl and one might not be happy with that, but there is a depency to perl anyway.

The function was originally written by Michael Hofmann (mh at ubhofmann dot de). I modified his patch for the current port using the STABILE branch of heartbeat (it originally was created for heartbeat 1.2.5 used before).

Fix: patch attached

Patch attached with submission follows:
How-To-Repeat: Create a configuration, where one IP address is configured on two or more (maybe virtual) interfaces and try to failover this address with heartbeat.
Comment 1 linimon 2009-08-17 07:57:13 UTC
To which port does this PR apply?  sysutils/heartbeat?

mcl
Comment 2 michael.leun01 2009-08-17 08:03:48 UTC
Hello,

Mark Linimon <linimon@lonesome.com> schrieb am 17.08.2009 08:57:13:

> To which port does this PR apply?  sysutils/heartbeat?

Yes - I mentioned in the description, but I should have put it in the 
Summary/Subject. Sorry.

Regards,

Michael Leun
Comment 3 bsam 2009-08-18 12:08:43 UTC
The port sysutils/heartbeat has been updated to version 2.1.4 for two
weeks now. Does this problem still exist and is the patch correct?
Thanks!

-- 
WBR, bsam
Comment 4 Boris Samorodov freebsd_committer 2009-08-18 12:32:52 UTC
State Changed
From-To: open->feedback

Awaiting for a feedback.
Comment 5 michael.leun01 2009-08-19 07:04:19 UTC
Hello,

"Boris B. Samorodov" <bsam@ns.kfs.ru> schrieb am 18.08.2009 13:08:43:

> The port sysutils/heartbeat has been updated to version 2.1.4 for two
> weeks now. Does this problem still exist and is the patch correct?

Yup, the patch is for 2.1.4 / was updated a few days ago.

Best Regards,

Michael Leun
Comment 6 bsam 2009-08-19 10:07:43 UTC
michael.leun01@vodafone.com writes:
> "Boris B. Samorodov" <bsam@ns.kfs.ru> schrieb am 18.08.2009 13:08:43:
>
>> The port sysutils/heartbeat has been updated to version 2.1.4 for two
>> weeks now. Does this problem still exist and is the patch correct?
>
> Yup, the patch is for 2.1.4 / was updated a few days ago.

To maintainer of the FreeBSD port sysutils/heartbeat. Please be
informed that there is a PR for the port:
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/137865

Do you approve/deny the patch?

-- 
WBR, bsam
Comment 7 ports 2009-08-20 00:53:41 UTC
Tested, works.  Approved.
Comment 8 Mark Linimon freebsd_committer 2009-08-20 05:10:21 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 9 Boris Samorodov freebsd_committer 2009-08-21 09:42:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bsam

Take.
Comment 10 dfilter freebsd_committer 2009-08-21 09:55:50 UTC
bsam        2009-08-21 08:55:41 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/heartbeat   Makefile 
  Added files:
    sysutils/heartbeat/files patch-resources-OCF-IPaddr 
  Log:
  . current implementation of function find_interface_bsd() in  [1]
  heartbeat-2.1.4 used in port sysutils/heartbeat does not
  work correctly if there are multiple interfaces with the
  same IP address (where only one of is UP, the others are
  DOWN). Fix this with files/patch-resources-OCF-IPaddr;
  . bump PORTREVISION.
  
  PR:             ports/137865  [1]
  Submitted by:   Michael Leun <michael.leun at arcor.net>  [1]
  Approved by:    Justin Head <ports at encarnate.com> (maintainer)  [1]
  
  Revision  Changes    Path
  1.22      +1 -1      ports/sysutils/heartbeat/Makefile
  1.1       +67 -0     ports/sysutils/heartbeat/files/patch-resources-OCF-IPaddr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 Boris Samorodov freebsd_committer 2009-08-21 09:56:12 UTC
State Changed
From-To: open->closed

Committed, thanks!